Skip to main content

Create Integration Instance

POST 

//:domain/api/shipfusion/integration-instances

Create a new Shipfusion integration instance.

Authentication: Requires Bearer token.

Request Body:

  • name (string, required) — Unique name for the integration instance
  • integration_id (integer, required) — ID of the integration record (must exist in integrations table)
  • connection_settings (object, optional) — Shipfusion API credentials
    • username (string) — Shipfusion API username
    • password (string) — Shipfusion API password
  • integration_settings (object, optional) — Integration behavior settings
    • enable_fulfillment (boolean) — Enable automated fulfillment via Shipfusion
    • pass_tags (boolean) — Pass order tags to Shipfusion
  • is_automatic_sync_enabled (boolean, optional, default: false) — Enable automatic order/inventory syncing

Request

Responses

Created

Response Headers
    Content-Type